import {
	inject,
	observer,
} from 'mobx-react'
import {
	WeaTextarea,
} from 'ecCom'

@inject('hrmSalaryItemsSet')
@observer
export default class TextArea extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			hrmSalaryItemsSet
		} = this.props, {
			textArea
		} = hrmSalaryItemsSet, {
			pageShowItemsSub
		} = textArea;

		return <WeaTextarea ecId={`${this && this.props && this.props.ecId || ''}_WeaTextarea@kktzuc`} value={pageShowItemsSub.join('')} viewAttr={1}/>
	}
}